<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8,00"
	Name="DXFunctions"
	ProjectGUID="{18DA2722-F7BA-46FF-A082-CD979933FEF4}"
	RootNamespace="DXFunctions"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)run\$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine=""
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				InlineFunctionExpansion="0"
				FavorSizeOrSpeed="0"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;DXFUNCTIONS_EXPORTS;NOMINMAX"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="d3d9.lib d3dx9d.lib winmm.lib dsound.lib dinput8.lib dxguid.lib"
				OutputFile="$(OutDir)\$(ProjectName).dll"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				ProgramDatabaseFile="$(OutDir)/$(ProjectName).pdb"
				SubSystem="2"
				ImportLibrary="$(IntDir)/$(TargetName).lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine=""
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)run\$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
				CommandLine=""
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				InlineFunctionExpansion="2"
				FavorSizeOrSpeed="1"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;DXFUNCTIONS_EXPORTS;NOMINMAX"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="1"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
				ShowIncludes="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="d3d9.lib d3dx9.lib dsound.lib dinput8.lib dxguid.lib winmm.lib"
				OutputFile="$(OutDir)\$(ProjectName).dll"
				LinkIncremental="1"
				GenerateDebugInformation="false"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="$(IntDir)/$(TargetName).lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine=""
			/>
		</Configuration>
	</Configurations>
	<References>
		<ProjectReference
			ReferencedProjectIdentifier="{88BDDDEC-AE91-472D-BA0A-A7BEC71F453B}"
			RelativePathToProject=".\Utilities\Utilities.vcproj"
		/>
		<AssemblyReference
			RelativePath="System.dll"
			AssemblyName="System, Version=2.0.0.0, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL"
		/>
		<AssemblyReference
			RelativePath="System.Data.dll"
			AssemblyName="System.Data, Version=2.0.0.0, PublicKeyToken=b77a5c561934e089, processorArchitecture=x86"
		/>
		<AssemblyReference
			RelativePath="System.Drawing.dll"
			AssemblyName="System.Drawing, Version=2.0.0.0, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL"
		/>
		<AssemblyReference
			RelativePath="System.Windows.Forms.dll"
			AssemblyName="System.Windows.Forms, Version=2.0.0.0, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL"
		/>
		<AssemblyReference
			RelativePath="System.XML.dll"
			AssemblyName="System.Xml, Version=2.0.0.0, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL"
		/>
	</References>
	<Files>
		<Filter
			Name="Quelldateien"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\Bound.cpp"
				>
			</File>
			<File
				RelativePath=".\BSPTree.cpp"
				>
			</File>
			<File
				RelativePath=".\BufferManager.cpp"
				>
			</File>
			<File
				RelativePath=".\Camera.cpp"
				>
			</File>
			<File
				RelativePath=".\CompiledEffect.cpp"
				>
			</File>
			<File
				RelativePath=".\Compositor.cpp"
				>
			</File>
			<File
				RelativePath=".\D3DApp.cpp"
				>
			</File>
			<File
				RelativePath=".\DeviceStateManager.cpp"
				>
			</File>
			<File
				RelativePath=".\DIFunctions.cpp"
				>
			</File>
			<File
				RelativePath=".\DXMaterial.cpp"
				>
			</File>
			<File
				RelativePath=".\DXMatrix.cpp"
				>
			</File>
			<File
				RelativePath=".\DXSound.cpp"
				>
			</File>
			<File
				RelativePath=".\DXSwapChain.cpp"
				>
			</File>
			<File
				RelativePath=".\DXTexture.cpp"
				>
			</File>
			<File
				RelativePath=".\DXViewPort.cpp"
				>
			</File>
			<File
				RelativePath=".\EffectCompiler.cpp"
				>
			</File>
			<File
				RelativePath=".\Font.cpp"
				>
			</File>
			<File
				RelativePath=".\FontManager.cpp"
				>
			</File>
			<File
				RelativePath=".\HLPixelShader.cpp"
				>
			</File>
			<File
				RelativePath=".\HLVertexShader.cpp"
				>
			</File>
			<File
				RelativePath=".\Matrix.cpp"
				>
			</File>
			<File
				RelativePath=".\Mesh.cpp"
				>
			</File>
			<File
				RelativePath=".\MeshContainer.cpp"
				>
			</File>
			<File
				RelativePath=".\PixelShader.cpp"
				>
			</File>
			<File
				RelativePath=".\Quadtree.cpp"
				>
			</File>
			<File
				RelativePath=".\RenderList.cpp"
				>
			</File>
			<File
				RelativePath=".\RenderTarget.cpp"
				>
			</File>
			<File
				RelativePath=".\ShaderEffect.cpp"
				>
			</File>
			<File
				RelativePath=".\ShaderManager.cpp"
				>
			</File>
			<File
				RelativePath=".\ShaderProgram.cpp"
				>
			</File>
			<File
				RelativePath=".\TextureManager.cpp"
				>
			</File>
			<File
				RelativePath=".\VertexShader.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Headerdateien"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\Bound.h"
				>
			</File>
			<File
				RelativePath=".\Bound.inl"
				>
			</File>
			<File
				RelativePath=".\BSPTree.h"
				>
			</File>
			<File
				RelativePath=".\BufferManager.h"
				>
			</File>
			<File
				RelativePath=".\Camera.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						CommandLine=""
						Outputs=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\CompiledEffect.h"
				>
			</File>
			<File
				RelativePath=".\Compositor.h"
				>
			</File>
			<File
				RelativePath=".\D3DApp.h"
				>
			</File>
			<File
				RelativePath=".\DeviceStateManager.h"
				>
			</File>
			<File
				RelativePath=".\DIFunctions.h"
				>
			</File>
			<File
				RelativePath=".\dllinterface.h"
				>
			</File>
			<File
				RelativePath=".\DXColor.inl"
				>
			</File>
			<File
				RelativePath=".\DXMaterial.h"
				>
			</File>
			<File
				RelativePath=".\DXMatrix.h"
				>
			</File>
			<File
				RelativePath=".\DXMatrix.inl"
				>
			</File>
			<File
				RelativePath=".\DXPlane.h"
				>
			</File>
			<File
				RelativePath=".\DXPlane.inl"
				>
			</File>
			<File
				RelativePath=".\DXSound.h"
				>
			</File>
			<File
				RelativePath=".\DXSwapChain.h"
				>
			</File>
			<File
				RelativePath=".\DXTexture.h"
				>
			</File>
			<File
				RelativePath=".\DXVector2.h"
				>
			</File>
			<File
				RelativePath=".\DXVector2.inl"
				>
			</File>
			<File
				RelativePath=".\DXVector3.h"
				>
			</File>
			<File
				RelativePath=".\DXVector3.inl"
				>
			</File>
			<File
				RelativePath=".\DXVector4.h"
				>
			</File>
			<File
				RelativePath=".\DXVector4.inl"
				>
			</File>
			<File
				RelativePath=".\DXViewPort.h"
				>
			</File>
			<File
				RelativePath=".\EffectCompiler.h"
				>
			</File>
			<File
				RelativePath=".\Font.h"
				>
			</File>
			<File
				RelativePath=".\FontManager.h"
				>
			</File>
			<File
				RelativePath=".\HLPixelShader.h"
				>
			</File>
			<File
				RelativePath=".\HLVertexShader.h"
				>
			</File>
			<File
				RelativePath=".\Matrix.h"
				>
			</File>
			<File
				RelativePath=".\Mesh.h"
				>
			</File>
			<File
				RelativePath=".\MeshContainer.h"
				>
			</File>
			<File
				RelativePath=".\PixelShader.h"
				>
			</File>
			<File
				RelativePath=".\Quadtree.h"
				>
			</File>
			<File
				RelativePath=".\RenderList.h"
				>
			</File>
			<File
				RelativePath=".\RenderTarget.h"
				>
			</File>
			<File
				RelativePath=".\resource.h"
				>
			</File>
			<File
				RelativePath=".\ShaderEffect.h"
				>
			</File>
			<File
				RelativePath=".\ShaderManager.h"
				>
			</File>
			<File
				RelativePath=".\ShaderProgram.h"
				>
			</File>
			<File
				RelativePath=".\TextureManager.h"
				>
			</File>
			<File
				RelativePath=".\VertexShader.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Ressourcendateien"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
			<File
				RelativePath=".\DXFunctions.rc"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
		<Global
			Name="RESOURCE_FILE"
			Value="DXFunctions.rc"
		/>
	</Globals>
</VisualStudioProject>
